import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class Bullet here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Bullet  extends Gun
{
    /**
     * Act - do whatever the Bullet wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    double dX,dY ;
    final double g = 0.1; /** Erdanziehungskraft */
    GreenfootImage buffer;
    
    /**  Parabel wird durch die werte hinter der (Math.sin(alpha))-Klammer  beeinflusst
     * bei dY enstspricht der Wert der maximalen Wurfhhe
     * bei dX enstspricht der Wert der wurfweite
     */
     
    public  Bullet(double alpha,double force,GreenfootImage im) {
        buffer=im;
        alpha = Math.toRadians(alpha+270);
        dX = (Math.sin(alpha))*force;
        dY = (Math.cos(alpha))*10;
        System.out.println(dX +";"+ dY);
    }
    
    public void act() 
    {
        try{
            setLocation(getX() - (int)dX,getY() + (int)dY);
            dY += g;
             if(this != null && (getX() < 10 || getX() > 990 || getY() > 790)){
                    getWorld().removeObject(this); 
             }
            else  if(this != null && !buffer.getColorAt(getX(),getY()).equals(Color.white) && !buffer.getColorAt(getX(),getY()).equals(Color.blue)){
                    getWorld().addObject(new Explosion(buffer,"normal"),getX(),getY()); 
                    getWorld().removeObject(this);    
             }
             
        }
        catch(Exception ex){
            //getWorld().removeObject(this);
        }
        
    }    
    
}
