import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.util.*;

public class Wurm  extends Player
{

/** -----HP BAR : ----*/
    private int HP = 1000;
    private int currentHP = 1000;
    private HPBar hpBar;
    private static boolean dead = false;
/** ----------------- */
    int x,y,c;
    boolean left,right,jump,jumping,image_right,image_left = false;
    GreenfootImage buffer;
    Gun1 gun;
    Aim1 aim;
    Boolean down_intersec = false;
    double height = 0;
    
    Wurm(){}
    
    public Wurm(GreenfootImage im){
        buffer=im;
        gun = new Gun1();
        aim = new Aim1(buffer);
    }
    
    public void act(){
        
        /**  Prft ob maximal ein "Aim" und eine "Gun" im spiel ist und fgt diese ein, wenn nicht*/
         if(getWorld().getObjects(Gun1.class).size() < 1 && !dead){   
             getWorld().addObject(gun,getX(),getY());
             getWorld().addObject(aim,getX()+100,getY());
            }
        
            /**  Wenn der Wurm die Kugel berhrt kriegt er 10 schaden*/
        if(getOneIntersectingObject(Bullet.class) != null){
             currentHP -= 10;
        }
        
        /**  Wurm ist tot -> wird gelscht */
        if (currentHP < 1){
            dead = true;
        }
        /** Position der HP bar wird aktualisiert */
        if(hpBar != null)
            hpBar.update(getX(), getY()-38, currentHP);
        
        hpbar();
        checkColourIntersection();
       
        
        x = (int) getX();
        y = (int) getY();
        /**  korrigiert die ballposition um fehler bei getColorAt() zu vermeiden*/
        if( x < 10) {x = 10;}
        if( x > 990) {x = 990;}
        if( y < 10) {y = 10;}
        if( y > 790) {y = 790;}
        
        
        
        /**  y+20 ist der aufsetzpunkt des wurmes, auf dem luft er ( bildmitte ist 20 vom boden entfernt)*/
        
        /**  Der wurm springt, nur wenn er berhrung mit dem boden hat, und ber ihm nichts schwarzes ist, er also nicht stecken bleiben kann*/
        //--------------------> Sprunganimation wre noch zu implementieren
        
        
        if( Greenfoot.isKeyDown("w") && down_intersec && buffer.getColorAt(x,y-20).equals(Color.white)){
                jumping = true;
                jump = true;
                
                    y = y - 50;
                
            }
            /**  Kleiner Sprung, wenn groer Sprung nicht mglich*/
        else if(Greenfoot.isKeyDown("w") && down_intersec && buffer.getColorAt(x,y+10).equals(Color.white)){
                jumping = true;
                jump = true;
                y = y - 10;
            }

            /** wenn er den boden berhrt ist er nicht am springen - > wichtig fr die bewegung in der luft/am boden */
         if(down_intersec)   
            jumping = false;
            
            
            /**  imageleft prft einen schwarzen punkt rechts, damit der wurm nicht in die map hineinluft*/
         if(Greenfoot.isKeyDown("a") && !image_left ){
                setImage("images/wl.png");
                image_left = true;
                image_right = false;
            }
          
                /**  s.o.*/
          if(Greenfoot.isKeyDown("d")&& !image_right){
                setImage("images/wr.png");
                image_right = true;
                image_left = false;
            }
         
            
           /** der !right -> der wurm kann nicht gleichzeitig rechts und links laufen (das wird hier ausgeschlossen sonst wrde er stehen bleiben */
           
         if(Greenfoot.isKeyDown("a") && !right && down_intersec && buffer.getColorAt(x-1,y+18).equals(Color.white)) {
           left = true;
            if(buffer.getColorAt(x-1,y+18).equals(Color.white) && down_intersec ){
                 if(buffer.getColorAt(x-1,y+21).equals(Color.white) && down_intersec ){ 
                      y = y - 2;
                      x = x - 1;
                    }
                  else{
                      y = y - 1;
                      x = x - 1;
                    }                
            }
            else{
                x--;
            }
         }
         else{
               left = false;
        }
         
         if(Greenfoot.isKeyDown("a") && !right && !down_intersec) {
            x = x - 1;
            left = true;
        }
        else{
               left = false;
        }
        
        /** s.o. */
       if(Greenfoot.isKeyDown("d") && !left && down_intersec && buffer.getColorAt(x+1,y+18).equals(Color.white)) {
           right = true;
            if(buffer.getColorAt(x+1,y+18).equals(Color.white) && down_intersec ){
                 if(buffer.getColorAt(x+1,y+21).equals(Color.white) && down_intersec ){ 
                      y = y - 2;
                      x = x + 1;
                    }
                  else{
                      y = y - 1;
                      x = x + 1;
                    }                
            }
            else{
                x++;
            }
         }
         else{
               right = false;
        }
         
         if(Greenfoot.isKeyDown("d") && !left && !down_intersec) {
            x = x + 1;
            right = true;
        }
        else{
               right = false;
        }
        
        /* 
         if(Greenfoot.isKeyDown("enter") && !right && !jump){//count !
               getWorld().addObject(gun,getX(),getY());
                getWorld().addObject(aim,getX()+40,getY()); 
            }*/
            /**  positionen von gun und aim werden aktualisiert*/
         if(getWorld().getObjects(Gun.class).size() > 0){
                gun.update(getX(),getY());
            }
            
         if(getWorld().getObjects(Aim1.class).size() > 0){
             aim.update(getX(),getY());
            }
            
            
            
         
         /** wenn der wurm das wasser berhrt wird die remove funktion ausgefhrt */
        if(buffer.getColorAt(x,y+20).equals(Color.blue)){
             remove();
            return;
        }    
          
        if(buffer.getColorAt(x,y+20).equals(Color.white))
            y=y+1;
            
            
       /**  Position wird aktualisiert (auf x und y haben nun alle if-schleifen eingewirkt*/
        try
        {setLocation(x,y);  }
        catch(Exception ex){}
          
    } 
    
    
   public void remove(){
       
       /** Sammelt die objekte in listen und lscht sie nacheinander */
       //--------------------> Muss noch berarbeitet werden, sobald meherere Wrmer auf dem Spielfeld sind
       
            List<Gun1> l_gun1s = (List<Gun1>)getWorld().getObjects(Gun1.class);
            for(Gun1 l_gun1 : l_gun1s) {
                getWorld().removeObject(l_gun1);
            }
            List<HPBar> l_hpBars = (List<HPBar>)getWorld().getObjects(HPBar.class);
            for(HPBar l_hpBar : l_hpBars) {
                getWorld().removeObject(l_hpBar);
            }
            List<Aim1> l_aim1s = (List<Aim1>)getWorld().getObjects(Aim1.class);
            for(Aim1 l_aim1 : l_aim1s) {
                getWorld().removeObject(l_aim1);
            }
            getWorld().removeObject(this);
    }
    
    /**  prft, ob der wurm auf dem boden ist*/
    public void checkColourIntersection()
    {
         if(!buffer.getColorAt(x,y+20).equals(Color.white)){
             down_intersec = true;
            }
         else{
             down_intersec = false;
            }
            
    }
    
    public void hpbar(){
        if( hpBar == null ){
            /**  fgt neue hpbar ein, falls nicht vorhanden*/
            hpBar = new HPBar(currentHP, HP);
            getWorld().addObject(hpBar, getX(), getY()-38);
        }
    }
  }

